> ## Documentation Index
> Fetch the complete documentation index at: https://docs.member.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch My Profile



## OpenAPI

````yaml /openapi/mio-openapi.json patch /api/v1/portal/hubs/{hub_id}/me/profile
openapi: 3.1.0
info:
  description: >-
    Production API reference for Membership.io. Use the authored guides for
    workflows and the generated endpoint pages for exact parameters and schemas.
  title: Membership.io API
  version: 0.1.0
servers:
  - description: Production
    url: https://api.member.dev
security:
  - bearerAuth: []
paths:
  /api/v1/portal/hubs/{hub_id}/me/profile:
    patch:
      tags:
        - community-profile-me
      summary: Patch My Profile
      operationId: >-
        community_profile_me.patch_community_profile_me_patch_portal_hubs_by_hub_id_me_profile
      parameters:
        - in: path
          name: hub_id
          required: true
          schema:
            pattern: >-
              ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
            title: Hub Id
            type: string
      requestBody:
        content:
          application/vnd.api+json:
            schema:
              $ref: '#/components/schemas/ProfileMePatchEnvelope'
        required: true
      responses:
        '200':
          content:
            application/vnd.api+json:
              schema:
                $ref: >-
                  #/components/schemas/JsonApiResponse_CommunityProfileResponseAttributes_
          description: Successful Response
        '422':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    ProfileMePatchEnvelope:
      additionalProperties: false
      properties:
        data:
          $ref: '#/components/schemas/ProfileMePatchData'
      required:
        - data
      title: ProfileMePatchEnvelope
      type: object
    JsonApiResponse_CommunityProfileResponseAttributes_:
      properties:
        data:
          $ref: >-
            #/components/schemas/JsonApiResource_CommunityProfileResponseAttributes_
        included:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Included
        links:
          anyOf:
            - $ref: '#/components/schemas/JsonApiLinks'
            - type: 'null'
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
      required:
        - data
      title: JsonApiResponse[CommunityProfileResponseAttributes]
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ProfileMePatchData:
      additionalProperties: false
      properties:
        attributes:
          $ref: '#/components/schemas/ProfileMePatchAttributes'
        type:
          title: Type
          type: string
      required:
        - type
        - attributes
      title: ProfileMePatchData
      type: object
    JsonApiResource_CommunityProfileResponseAttributes_:
      properties:
        attributes:
          $ref: '#/components/schemas/CommunityProfileResponseAttributes'
        id:
          title: Id
          type: string
        links:
          anyOf:
            - $ref: '#/components/schemas/JsonApiLinks'
            - type: 'null'
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
        relationships:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Relationships
        type:
          title: Type
          type: string
      required:
        - id
        - type
        - attributes
      title: JsonApiResource[CommunityProfileResponseAttributes]
      type: object
    JsonApiLinks:
      properties:
        self:
          anyOf:
            - type: string
            - type: 'null'
          title: Self
      title: JsonApiLinks
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    ProfileMePatchAttributes:
      additionalProperties: false
      properties:
        banner_color:
          anyOf:
            - pattern: ^#[0-9a-fA-F]{6}$
              type: string
            - type: 'null'
          title: Banner Color
        banner_scheme:
          anyOf:
            - enum:
                - split
                - complementary
                - analogous
                - triadic
                - monochrome
                - warm
              type: string
            - type: 'null'
          title: Banner Scheme
        banner_variant:
          anyOf:
            - enum:
                - gradient
                - image
              type: string
            - type: 'null'
          title: Banner Variant
        bio:
          anyOf:
            - maxLength: 5000
              type: string
            - type: 'null'
          title: Bio
        display_name:
          anyOf:
            - maxLength: 120
              type: string
            - type: 'null'
          title: Display Name
        hide_activity:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Hide Activity
        hide_profile:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Hide Profile
      title: ProfileMePatchAttributes
      type: object
    CommunityProfileResponseAttributes:
      properties:
        avatar_file_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar File Id
        banner_color:
          anyOf:
            - type: string
            - type: 'null'
          title: Banner Color
        banner_file_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Banner File Id
        banner_scheme:
          anyOf:
            - enum:
                - split
                - complementary
                - analogous
                - triadic
                - monochrome
                - warm
              type: string
            - type: 'null'
          title: Banner Scheme
        banner_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Banner Url
        banner_url_expires_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Banner Url Expires At
        banner_variant:
          anyOf:
            - enum:
                - gradient
                - image
              type: string
            - type: 'null'
          title: Banner Variant
        bio:
          anyOf:
            - type: string
            - type: 'null'
          title: Bio
        contact_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Contact Id
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        hide_activity:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Hide Activity
        hide_profile:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Hide Profile
        hub_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Hub Id
        photo_thumbnail_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Photo Thumbnail Url
        photo_thumbnail_url_expires_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Photo Thumbnail Url Expires At
        photo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Photo Url
        photo_url_expires_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Photo Url Expires At
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
      title: CommunityProfileResponseAttributes
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT or mio_sk API key
      description: >-
        Send platform JWTs, contact JWTs, or team API keys as `Authorization:
        Bearer <token>`.
      scheme: bearer
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````